VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 1  'NoTransaction
END
Attribute VB_Name = "clsVersion"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

'********************************************************************************
'*  Class Name:     clsVersion                                                  *
'*  Date:           Thursday April 26, 2001                                     *
'*  Author:         Kevin Henderson                                             *
'*  Compiler:       Microsoft Visual Basic 6.00 (SP5)                           *
'*  Synop:          When incorporated into an ActiveX Object, this Class will   *
'*                  Allow any COM compliant, client application, to query your  *
'*                  Object. The Client Application can then verify versions     *
'*                  And compile date.                                           *
'*                                                                              *
'********************************************************************************


Public Property Get LegalCopyRight() As String
    LegalCopyRight = App.LegalCopyRight
End Property

Public Property Get FileDescription() As String
    FileDescription = App.FileDescription
End Property

Public Property Get CompanyName() As String
     CompanyName = App.CompanyName
End Property

Public Property Get Revision() As Long
    Revision = App.Revision
End Property

Public Property Get Minor() As Long
    Minor = App.Minor
End Property

Public Property Get Major() As Long
    Major = App.Major
    
End Property

Public Property Get LastModified() As Date

'********************************************************************************
'*  Property Name:  LastModified                                                *
'*  Date:           Thursday, April 26, 2001                                    *
'*  Author:         Kevin Henderson                                             *
'*  Compiler:       Microsoft Visual Basic 6.00 (SP5)                           *
'*  Returns:        Date: -- The Date the file was last modified.               *
'*  Synop:          This function will retrieve the DateLastModified            *
'*                  Attribute, of your ActiveX Object.  I have chosen to use    *
'*                  Late binding, so you can basically use this class as a      *
'*                  "Header" File, like object. You can very easily drop it     *
'*                  Into any project with out having to worry about adding      *
'*                  References to the scripting objects.                        *
'*                                                                              *
'********************************************************************************

Dim FS      As Object
Dim FSFile  As Object
Dim fldr    As Object
    
    
    Set FS = CreateObject("Scripting.FileSystemObject")
    Set fldr = FS.GetFolder(App.Path)
    
    For Each FSFile In fldr.Files
        If UCase(FSFile.Name) = UCase(App.EXEName & ".dll") Then
            LastModified = FSFile.DateLastModified
        End If
    Next

End Function


